#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_bridge_connector_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_from_ddc, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fbdev_generic_setup, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");
KSYMTAB_FUNC(drm_fb_helper_output_poll_changed, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0x36865f30, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0x09a5be8d, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x71c32637, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0xe4d080ea, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x50292627, "");
SYMBOL_CRC(drm_atomic_helper_check, 0xb681e986, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0xb62dad1a, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0x1373f846, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0x7f5ca1ec, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x1902c173, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x77e8bb40, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x20c4a9f9, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0x1c5c1732, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0xf07e1c28, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0xe693d0cc, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x687f524e, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0x92657c65, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x950ef407, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0xbe9c949b, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0x70e2a1a5, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0xbe00a9ae, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x00d90d91, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x4317300d, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x451176e3, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0x3e23dc52, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x21073910, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0x675672a8, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0xf814bb03, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0xc1eb421f, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0x1a1a346b, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0x33e7d72a, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0xe4391230, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0x2139f0bc, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x0bbfc1fb, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x3daf448e, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0x2bb4de29, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0x98b8cbfc, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x4caf1085, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0xffd3656e, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0x4c9a20d7, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x4c0934d2, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0x557a4124, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0x16675d88, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0x66b6685f, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0xb5587330, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0x044854cd, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0xa38869c9, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0xfc2d6578, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0xb1a0d536, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x8ec09d5d, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0x5751221c, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x4b86c0d1, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0xc61dcb3c, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0xc713b7e0, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0x9d59f507, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0xf9df8fe5, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x50b15e5b, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0x8c6fde10, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x54363007, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x81f8d99d, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0xbd6141d6, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0xdcd666e0, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0xa714c37c, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0xb0145714, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0x5cd8b18c, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x5f87f965, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x2224ccc4, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0xba20df7c, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x2ab7f754, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0x61b1e2a1, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0x629b30f3, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0x80f892f4, "");
SYMBOL_CRC(drm_bridge_connector_init, 0xe498d150, "_gpl");
SYMBOL_CRC(drm_helper_encoder_in_use, 0x17013bed, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x997fe3e0, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0x2b616778, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0x59e4aee0, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0x09949761, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0xc2ee8471, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0xb4f82c64, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0xed54add9, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0xeab866ce, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0xf8d50114, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x62508a16, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x4e246d0f, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x33042e4f, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0xf42dcdb5, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0xd5f7d79e, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0xec498d66, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0x3af7e67e, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0x199d9e2f, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0xe803188d, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0xaed411ce, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x76d9ffe4, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0x6131cf2b, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x17037990, "");
SYMBOL_CRC(drm_flip_work_queue, 0x7964f9dc, "");
SYMBOL_CRC(drm_flip_work_commit, 0xc460392a, "");
SYMBOL_CRC(drm_flip_work_init, 0x93cec5c7, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0x5aa2b037, "");
SYMBOL_CRC(drm_format_conv_state_init, 0x29c6141b, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xface4acd, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0xd09bd550, "");
SYMBOL_CRC(drm_format_conv_state_release, 0xd68515a0, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x75e6a553, "");
SYMBOL_CRC(drm_fb_swab, 0x2328c282, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x17b0722f, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x592cce92, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x5211be64, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0xac0c3482, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0xf8831344, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x1daa7b55, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0xb6c5448f, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0xd8405b02, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0xd745ebf6, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0xc8e8bad8, "");
SYMBOL_CRC(drm_fb_blit, 0xae0f8884, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x9d70530d, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0xb06d5976, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0x798f35be, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0x47f0bed4, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0xf3b83f22, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0xf95bdbd2, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0x5f162610, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0x2631396f, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0x1aa08bd5, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0x19b06cb1, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x70fa09fc, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x31e56738, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0xe1363868, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0x80a89b65, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0xf89554bc, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0x3e191d54, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x7a89059d, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x69f72e09, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x8088dc14, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x6f6ce108, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0xfe6f5c9f, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0x156edd89, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0x24a2cd23, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0xa896710f, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x2ab6bc44, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x511a4fa8, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x5c29b4cf, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0xfaefc8bd, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0xecfeb83d, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0xf9568a6f, "");
SYMBOL_CRC(drm_crtc_init, 0x127403e2, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0xe8e149f4, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x289af293, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0x16f982f1, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0xc30085e5, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x1646b3b2, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0xe7c32dd8, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x01b565e2, "");
SYMBOL_CRC(drm_helper_probe_detect, 0xedfd2d8c, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x035a1c68, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0x75504301, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0xf25edf12, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x73bfd6e1, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x2a5943f0, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x28d27634, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0xb5cb63df, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x24bba7eb, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0xd368de6d, "");
SYMBOL_CRC(drm_connector_helper_get_modes_from_ddc, 0x59cc0840, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0x35ac304b, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0xc248685d, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x6ff8c241, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0xd375e43d, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0x24569ba6, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x02a6ea6e, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0x0ef8da07, "");
SYMBOL_CRC(drm_simple_encoder_init, 0x93397e6c, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0xbbe3910b, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0xe51847bb, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0xc308c7c2, "");
SYMBOL_CRC(drm_bridge_is_panel, 0x35bab8e0, "");
SYMBOL_CRC(drm_panel_bridge_add, 0x0a6dc04d, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0xdfc442fb, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0xc5d52adc, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0xf2b688d0, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0xaebf0d32, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0x56fe942c, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0xa14b3689, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0x89c55bd7, "");
SYMBOL_CRC(drm_fbdev_generic_setup, 0x569a0659, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0xcee35e44, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0x96365f19, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0x2c9b6802, "");
SYMBOL_CRC(drm_fb_helper_blank, 0x85602e17, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0x4c9fe061, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0xbbb5636c, "");
SYMBOL_CRC(drm_fb_helper_init, 0xb4ceb1a0, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0xbfecdfd0, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0xdc377cbc, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0xd0910e52, "");
SYMBOL_CRC(drm_fb_helper_fini, 0xe43e07b2, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0xc18a5758, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x26a0fe6d, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0x87a77943, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0x9227d5df, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x0baa3abf, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0x64956727, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0x6ff4eaae, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x5f198375, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0x8f1dda0f, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0x43ab5643, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0xd57bd8a4, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0x7c5e375a, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0xce7105b1, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0x8ab0b605, "");
SYMBOL_CRC(drm_fb_helper_output_poll_changed, 0x4ba7c68d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x870ea281, "unregister_framebuffer" },
	{ 0x63a8f0a3, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x78935c6e, "drm_framebuffer_cleanup" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x16c5cc92, "drm_client_register" },
	{ 0xc5f7c5a1, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xff7ad1b5, "krealloc" },
	{ 0x58ab9dc7, "drm_panel_get_modes" },
	{ 0x1986c714, "drm_gem_vmap_unlocked" },
	{ 0x10cd7b1b, "try_module_get" },
	{ 0x1604bf, "vmemmap" },
	{ 0xb24d1516, "drm_connector_list_update" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xf9e778d6, "drm_bridge_add" },
	{ 0xc90d4c88, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x75c174a8, "unregister_sysrq_key" },
	{ 0x464f3ed5, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x2e12e70e, "devm_kmalloc" },
	{ 0x4dced533, "drm_client_rotation" },
	{ 0xb4cf169c, "drm_client_buffer_vmap" },
	{ 0xe9c0dc39, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x876505d8, "drm_framebuffer_init" },
	{ 0x423abc32, "drm_mode_validate_driver" },
	{ 0x814c2985, "vmalloc_to_page" },
	{ 0x84972c9a, "drm_atomic_add_affected_planes" },
	{ 0xbb7ff4fd, "dma_buf_end_cpu_access" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x4eb04820, "drm_modeset_unlock_all" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x75f3c249, "drm_mode_probed_add" },
	{ 0xb7604da0, "drm_atomic_add_affected_connectors" },
	{ 0xcf1ee729, "drm_gem_vunmap_unlocked" },
	{ 0x3afeeab2, "drm_bridge_hpd_enable" },
	{ 0x3a17fba5, "drm_crtc_vblank_count" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xe4b651d6, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x1c96c148, "drm_client_framebuffer_delete" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0xed9c4c1a, "drm_client_framebuffer_create" },
	{ 0x41dff4d2, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x4dca46e0, "drm_mode_object_get" },
	{ 0x2e4813b6, "drm_edid_override_connector_update" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0xf85c8d8c, "drm_driver_legacy_fb_format" },
	{ 0x633cfa63, "drm_crtc_cleanup" },
	{ 0x93d066a0, "drm_connector_list_iter_begin" },
	{ 0x428ebd8c, "fb_deferred_io_init" },
	{ 0x15584cf, "drm_mode_set_config_internal" },
	{ 0x84a695c4, "fb_deferred_io_cleanup" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x118f8732, "framebuffer_alloc" },
	{ 0xc8e8079a, "drm_encoder_cleanup" },
	{ 0x86ee21, "drm_connector_unregister" },
	{ 0xcfad11e2, "drm_modeset_acquire_init" },
	{ 0x554b16f9, "dma_fence_set_deadline" },
	{ 0x6e57d6f1, "drm_client_modeset_probe" },
	{ 0x6a5ccccb, "drm_warn_on_modeset_not_all_locked" },
	{ 0x713e8092, "drm_plane_get_damage_clips" },
	{ 0xad7153f1, "devres_add" },
	{ 0xff95e0c7, "dma_fence_wait_timeout" },
	{ 0xb05f642c, "drm_add_modes_noedid" },
	{ 0x76a8b4f, "drm_bridge_remove" },
	{ 0xb351c5c1, "drm_mode_object_put" },
	{ 0x1cafdbec, "dev_driver_string" },
	{ 0xed7b1756, "drm_crtc_vblank_get" },
	{ 0xf79d486e, "drm_gem_object_lookup" },
	{ 0x40fa8020, "drm_crtc_send_vblank_event" },
	{ 0xb219a573, "drm_connector_attach_encoder" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x2ed3c600, "drm_mode_debug_printmodeline" },
	{ 0xe145c82, "fb_sys_write" },
	{ 0xaf87f25d, "drm_atomic_normalize_zpos" },
	{ 0x7a8f7805, "drm_edid_connector_update" },
	{ 0x594984a0, "drm_sysfs_hotplug_event" },
	{ 0x77116290, "drm_bridge_hpd_disable" },
	{ 0x21d8ee54, "sys_imageblit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4c8a4ea4, "__drmm_add_action_or_reset" },
	{ 0x4e4b3a3, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0x9f30ca18, "sys_fillrect" },
	{ 0xd11240e6, "drm_connector_list_iter_end" },
	{ 0xf43e3e41, "drm_atomic_set_crtc_for_plane" },
	{ 0x1511e873, "drm_client_modeset_dpms" },
	{ 0x6dd217fc, "drm_mode_prune_invalid" },
	{ 0x1d887671, "drm_client_dev_hotplug" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xfe91348f, "_dev_info" },
	{ 0x72588269, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x74884653, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0xc4044005, "module_put" },
	{ 0x459a9905, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0xd9ebeb21, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xfb40454e, "drm_client_init" },
	{ 0xf0d57003, "drm_crtc_wait_one_vblank" },
	{ 0x6ad78a05, "drm_crtc_next_vblank_start" },
	{ 0x1660ab52, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0xaa989077, "drm_modeset_lock" },
	{ 0x2375857d, "drm_client_modeset_commit_locked" },
	{ 0x854cbe39, "drm_modeset_unlock" },
	{ 0x869de9f6, "drm_panel_disable" },
	{ 0x7e5892dc, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x79eb2cd0, "drm_connector_init" },
	{ 0x38d56673, "devm_kfree" },
	{ 0xab2c1db3, "_dev_err" },
	{ 0xb70523a2, "drm_writeback_cleanup_job" },
	{ 0x3cc3a188, "drm_modeset_lock_all_ctx" },
	{ 0x930f1242, "i2c_unregister_device" },
	{ 0x66ddea16, "drm_atomic_set_fb_for_plane" },
	{ 0x994990cf, "__drm_universal_plane_alloc" },
	{ 0xf8cfbbef, "drm_connector_init_with_ddc" },
	{ 0x7368706, "drm_add_edid_modes" },
	{ 0x617e076d, "drm_edid_connector_add_modes" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x2f1c846e, "__devres_alloc_node" },
	{ 0x7ec4096c, "drm_edid_read" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x7c15814b, "drm_crtc_commit_wait" },
	{ 0xc46812ad, "drm_dev_has_vblank" },
	{ 0x3d4f9674, "register_framebuffer" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0x7ee25e7e, "__drm_atomic_helper_disable_plane" },
	{ 0x3a7e21f2, "drm_connector_set_orientation_from_panel" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xa9ebfec6, "drm_gem_handle_create" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x4387edd7, "drm_atomic_set_crtc_for_connector" },
	{ 0x61a57763, "drm_analog_tv_mode" },
	{ 0xb024ec46, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0xd8d139aa, "drm_mode_duplicate" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xa6583ae3, "drm_crtc_vblank_put" },
	{ 0x3d1af02d, "i2c_new_client_device" },
	{ 0xb93a6a2e, "zpci_write_block" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x97bd4b57, "__drm_dev_dbg" },
	{ 0xd2b13af7, "drm_plane_get_damage_clips_count" },
	{ 0x1c8e818c, "drm_bridge_get_edid" },
	{ 0xa47f261e, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xe73dbb47, "fb_deferred_io_mmap" },
	{ 0xb65fbfd, "drm_atomic_state_alloc" },
	{ 0xc2a53e9, "drm_client_modeset_commit" },
	{ 0xeca21004, "_dev_warn" },
	{ 0xc900bf65, "drm_atomic_bridge_chain_post_disable" },
	{ 0x8330b8f4, "drm_connector_update_edid_property" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x4e9a23, "fb_set_suspend" },
	{ 0x6108288f, "complete_all" },
	{ 0x69fa58b1, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0xb6879b68, "drm_client_release" },
	{ 0x8d72789e, "drm_edid_is_valid" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x4db18745, "__drm_atomic_helper_set_config" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xf8e0c244, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0xd6afbef, "drm_get_format_info" },
	{ 0xdf54c498, "drm_connector_cleanup" },
	{ 0xadc0af4f, "drm_universal_plane_init" },
	{ 0xced4fefa, "drm_any_plane_has_format" },
	{ 0x5958c4fb, "sys_copyarea" },
	{ 0x29125927, "drm_connector_list_iter_next" },
	{ 0x20ca10a7, "drm_modeset_acquire_fini" },
	{ 0xd83c53af, "drm_encoder_init" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x999e8297, "vfree" },
	{ 0x55db63d4, "drm_object_property_get_default_value" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe9d26bf6, "param_ops_bool" },
	{ 0x50b83a90, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9ef51e87, "drm_modeset_backoff" },
	{ 0x3068851d, "drm_panel_prepare" },
	{ 0xde224f51, "drm_bridge_chain_mode_set" },
	{ 0xf83abdf3, "drm_client_buffer_vunmap" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0x2a018407, "fb_sys_read" },
	{ 0x809de8dc, "drm_atomic_get_plane_state" },
	{ 0x2e09f3e5, "drm_atomic_bridge_chain_check" },
	{ 0xf668aa90, "dma_fence_chain_init" },
	{ 0xe7b9867a, "register_sysrq_key" },
	{ 0x5c2fff3e, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xee9c5811, "drm_property_blob_put" },
	{ 0x68c0e13a, "drm_mode_destroy" },
	{ 0x1839fe4d, "drm_bridge_attach" },
	{ 0x3ddd26fb, "drm_set_preferred_mode" },
	{ 0x2d3a9587, "drm_atomic_bridge_chain_pre_enable" },
	{ 0xf1e6ac52, "drm_atomic_state_clear" },
	{ 0xc295873, "drm_mode_config_reset" },
	{ 0xd1cfea82, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xf30ba290, "kmalloc_trace" },
	{ 0x447bbe9c, "drm_modeset_drop_locks" },
	{ 0x410c991, "fwnode_handle_put" },
	{ 0x3c672738, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x50b32854, "drm_atomic_bridge_chain_disable" },
	{ 0xbca2fd5b, "drm_mode_create_from_cmdline_mode" },
	{ 0xc9cda45c, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0xbe3b9817, "param_ops_int" },
	{ 0xf9503f1c, "drm_atomic_nonblocking_commit" },
	{ 0x545436ae, "debugfs_create_dir" },
	{ 0xb1176e59, "try_wait_for_completion" },
	{ 0x7890265b, "drm_master_internal_release" },
	{ 0x94f824b8, "drm_get_edid" },
	{ 0xa52e97db, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0xb3e63d2b, "drm_panel_unprepare" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x88520383, "kmalloc_caches" },
	{ 0x35714daf, "drm_atomic_add_encoder_bridges" },
	{ 0x648cae6e, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x97522b16, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0xc832a101, "module_layout" },
};

MODULE_INFO(depends, "fb,drm,fb_sys_fops,sysimgblt,sysfillrect,i2c-core,syscopyarea");


MODULE_INFO(srcversion, "69CE9E55264A73D1FC92272");
MODULE_INFO(rhelversion, "9.99");
