#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_msix_alloc, "", "");
KSYMTAB_FUNC(mlx5_msix_free, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_roce_netdev, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x8bef5ee6, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0xcc2c2b06, "");
SYMBOL_CRC(mlx5_is_roce_on, 0xcb95f457, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x0af6ac57, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x205d4228, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x7ccad84e, "");
SYMBOL_CRC(mlx5_cmd_check, 0x70717bc1, "");
SYMBOL_CRC(mlx5_cmd_do, 0x08e88cc1, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x4c0e6ae8, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x2f03fdab, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0x30c0d987, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x1c9c8ef4, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0xec52aae1, "");
SYMBOL_CRC(mlx5_debugfs_root, 0xcfee7d69, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0xc1a2580f, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0xc25d3637, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0xe28b48b4, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x3f718a36, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0xf997c6e4, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x13cb5414, "");
SYMBOL_CRC(mlx5_eq_enable, 0x41fd20c7, "");
SYMBOL_CRC(mlx5_eq_disable, 0x852113b4, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0x1eb2c67b, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x01ca8098, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x97eb369d, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x3306a949, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x98effae7, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x87958c40, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x4d9d826a, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x3aeb2e51, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x4323aecb, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x0914fe25, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x76bd2ad5, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0x5e1fec01, "");
SYMBOL_CRC(mlx5_free_bfreg, 0xa3950880, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0xf52547b5, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0xdd228f22, "");
SYMBOL_CRC(mlx5_create_cq, 0x1833bd83, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x74f624a7, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x7a4ddfd7, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x76792157, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x13bc3a28, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x62b39ee3, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x92ba2d7b, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x1d16b309, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x22f00710, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x3e79f5ea, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x12781046, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x4dd2ae85, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0x6b126cd1, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0xe35cd5d7, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x0ccd451f, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x78b5d219, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x9f368583, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0xff665b0f, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x63ad1f27, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xc73d7736, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x37b5d2dd, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x0cd06541, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x64492a64, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x9297e587, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0xcf114255, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x550e6353, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x6cb24dbc, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x19dcb7e7, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x97fdcb37, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0xd474903b, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x323f88ac, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0xa43ad3ed, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x96102756, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0xdb07f503, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0xd3e68d09, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0xbcc61e2e, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x92ada92b, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0xdfc4d361, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0xd6164206, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0xf4ffe972, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x6305a414, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x9c12301b, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x499018fd, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x070b510c, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0xc27862a6, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x1e03a6b7, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x3a811333, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x75b0fb43, "");
SYMBOL_CRC(mlx5_core_create_rq, 0xf55bf39e, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x8eeafbb0, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0xfe3f48d6, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x428b794f, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0xab61cae5, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x6700481a, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x0b07289f, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0xbdb43bc0, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0x9481ad31, "");
SYMBOL_CRC(mlx5_core_create_tis, 0xa690158a, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0xe623b94f, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0xaf0ce1ef, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x62043f18, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x8be868a9, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x9618375f, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0xc986f3ec, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0xa15ca52d, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0x40adb109, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x5b1334a2, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x62a70b4a, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0xf0071b9d, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x895db84e, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x6f477ebc, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x0e10bbda, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0xfd35b4bf, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0xa468a4c8, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0xc094ae36, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x193c8c85, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x9c2abe1a, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0xc4b69a94, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0xb1561737, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0x6060ae25, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0xa137a816, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0xbf647825, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x7fea0a9d, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x2c81887d, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0xd581e8dc, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x28110b86, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0xdcde7106, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x65a7425b, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x1abd61f8, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0x9893fa9b, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0xfdcfa010, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x4895f12e, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x9c9ad795, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x92a644f9, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x43764d59, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xc8737e65, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xc29afe01, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x7cb452c2, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x7deb6ac6, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x9ec88d76, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0x8b8879e3, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0x51371a99, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0x04641715, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x54ec7029, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x457fddd3, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x56f6da83, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x2087b8e7, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0xe552cbfe, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x54f73538, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x5cb21b75, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x6391208b, "");
SYMBOL_CRC(mlx5_msix_alloc, 0x79296104, "");
SYMBOL_CRC(mlx5_msix_free, 0x896e96a0, "");
SYMBOL_CRC(mlx5_fc_create, 0x198adb2d, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x2fdda207, "");
SYMBOL_CRC(mlx5_fc_query, 0x53c79bc3, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0x3c332885, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0xd6b2d54c, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0xa56f8272, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x7a5ff11d, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0xa40b553c, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x83b076ea, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x915c6236, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0xc11b486a, "");
SYMBOL_CRC(mlx5_lag_is_active, 0xce8fbc73, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0xd5bb3035, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x818e6506, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x80b8b074, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x72571ff6, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0x35153af4, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x8469bde3, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x72c01ec0, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x8af02926, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0xb16689f1, "");
SYMBOL_CRC(mlx5_notifier_register, 0xe60f6c30, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x9efb1445, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x94363725, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x55f70814, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x142a7f1d, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x2ad5b2f7, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x62ca5faa, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0xf927c392, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x73fc1d8e, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x63f5a6fa, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x3475821f, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xdae8aa4d, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xb5ec5a13, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x9d6135dc, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x12135c1c, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0xaf335351, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x559ac38d, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xbb07ebdf, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0x7bbc902c, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xfc8e744e, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0xf52e1946, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0x1693fbe6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x7261330b, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x6cd5a182, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x5eff2505, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xeb9a8bcf, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xf06725b6, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x45d0a6f4, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xf88d57b1, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x45b52e00, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x33eb29aa, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x4d5f5c07, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x4d62e046, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x0de2f63b, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x7b359a09, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0xe4ff158d, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x53d183ed, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x148b38ce, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0xab9856bf, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0xfb8f8e37, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x9d04beab, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x21aeef4a, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x07c57b27, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0x3494b8df, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0x692811d7, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0xd8424add, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x9050d9ef, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0x7eea9c28, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0xf29081fa, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0x92f338a7, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0xd0067cb1, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0xec1b0517, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0xcdf3672d, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0xe9489462, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0xc3423174, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0x8bb8089d, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0xd77b0588, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0x6340e5e7, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0x089ce6e0, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0xecd66f41, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0x94cdb1e6, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x084c76f4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0xe1a0fe80, "__inet_lookup_established" },
	{ 0x1c5c2466, "xsk_tx_completed" },
	{ 0x519c811e, "alloc_etherdev_mqs" },
	{ 0x942bb86c, "netdev_lower_get_next" },
	{ 0x1b5d15d3, "secpath_set" },
	{ 0x96015941, "flow_block_cb_lookup" },
	{ 0xd99b5d5, "pci_save_state" },
	{ 0xc316a449, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1713c253, "devl_rate_leaf_create" },
	{ 0xff7ad1b5, "krealloc" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x90e0a198, "xp_alloc" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb115b6c4, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x1604bf, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xa06e587a, "release_firmware" },
	{ 0xeea55fb4, "bpf_prog_put" },
	{ 0xec4dc720, "page_pool_get_stats" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xfb8f08f9, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6d8f459d, "pci_cfg_access_unlock" },
	{ 0xca072da8, "xp_dma_map" },
	{ 0x383dc9c4, "bpf_trace_run4" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0xee56d90, "devlink_unregister" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xf44191cd, "skb_copy_bits" },
	{ 0xb3e25d4e, "debugfs_attr_write" },
	{ 0xb0353acb, "dma_pool_create" },
	{ 0x9da08dd6, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0xf8346009, "pci_msix_vec_count" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x530b6a96, "pci_enable_device" },
	{ 0x38ecd411, "skb_put" },
	{ 0xa0288047, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x71417a98, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x3f7fc6d, "__napi_alloc_skb" },
	{ 0x34a2b2cc, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe9a7bbd9, "register_fib_notifier" },
	{ 0x25e47dc3, "auxiliary_device_init" },
	{ 0x54297ce6, "ip6_dst_hoplimit" },
	{ 0x24d17c3d, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe5dc97e2, "flow_rule_match_enc_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x35577aea, "trace_seq_printf" },
	{ 0xdb22365f, "pci_alloc_irq_vectors" },
	{ 0x9b241d52, "netif_napi_add_weight" },
	{ 0x5d4080d6, "pci_enable_atomic_ops_to_root" },
	{ 0x4b19a33a, "seq_release" },
	{ 0x6230a2b7, "dev_add_pack" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x38493a8b, "idr_alloc_u32" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x6cbff638, "trace_raw_output_prep" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x167c9f09, "xsk_clear_tx_need_wakeup" },
	{ 0xdcd38e5f, "udp4_hwcsum" },
	{ 0xe254f4f8, "xa_get_mark" },
	{ 0x8eaabd8c, "devl_lock" },
	{ 0x7819aea9, "__kmalloc_node" },
	{ 0x73575128, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x76d7df82, "ndo_dflt_bridge_getlink" },
	{ 0xc33c1641, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x46708803, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xe48bca27, "__trace_trigger_soft_disabled" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0x911a0669, "flow_rule_match_tcp" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x8bded20f, "zpci_load" },
	{ 0x43f09848, "register_netdevice_notifier_dev_net" },
	{ 0xe80a7a13, "dma_unmap_page_attrs" },
	{ 0x1f3ff915, "trace_event_printf" },
	{ 0x3a70a0e7, "devlink_health_reporter_create" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xcce4d3df, "flow_rule_match_cvlan" },
	{ 0xa31d1dea, "__xa_erase" },
	{ 0xdbe82445, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xd566933c, "up" },
	{ 0x67e2272e, "refcount_dec_and_mutex_lock" },
	{ 0x5eaed616, "dma_sync_single_for_device" },
	{ 0xdf9fda1c, "xdp_rxq_info_unused" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x66f0268c, "pci_num_vf" },
	{ 0xe16a3769, "debugfs_create_atomic_t" },
	{ 0xb267d0cb, "flow_rule_match_eth_addrs" },
	{ 0xd842fb6a, "skb_add_rx_frag" },
	{ 0xcf20215c, "xfrm_state_check_expire" },
	{ 0x2fe76c64, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xa0f05158, "ptp_clock_index" },
	{ 0x2550ae43, "pci_request_regions" },
	{ 0x7aa7bae2, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x67ead9d2, "trace_event_raw_init" },
	{ 0xa8668e92, "flow_block_cb_free" },
	{ 0x1d27500c, "devl_port_fn_devlink_set" },
	{ 0x236c8c64, "memcpy" },
	{ 0xebea5a6d, "xp_can_alloc" },
	{ 0x4a3ed993, "psample_sample_packet" },
	{ 0x3009ce8a, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xadda4d3f, "devlink_alloc_ns" },
	{ 0x6230efef, "devl_rate_leaf_destroy" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x82800af5, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xb836fa5, "devlink_register" },
	{ 0x93b109c8, "devlink_remote_reload_actions_performed" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0x676040fd, "seq_lseek" },
	{ 0xf61d6e0a, "page_pool_destroy" },
	{ 0x592cb9f2, "xdp_do_redirect" },
	{ 0x5a5f6376, "devlink_free" },
	{ 0x12380c68, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x64c3ad06, "rhashtable_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6be2ddd, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xd4f680f8, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x9bb337bb, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8dd470bb, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xb53dbeb8, "pci_irq_vector" },
	{ 0xaa267ecf, "flow_rule_match_ipv4_addrs" },
	{ 0x52600a4d, "ip_route_output_flow" },
	{ 0x8e3cda6a, "__netif_napi_del" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0x68fb2bcb, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x6e351a32, "__dynamic_dev_dbg" },
	{ 0x22439ba2, "sched_numa_hop_mask" },
	{ 0x8cc83238, "sock_gen_put" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0x8b42f818, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb928aa45, "netdev_rss_key_fill" },
	{ 0x909fda42, "blocking_notifier_chain_register" },
	{ 0xa18c9cfa, "netdev_err" },
	{ 0xddeeadc0, "pci_cfg_access_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6a2d28ce, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x1cafdbec, "dev_driver_string" },
	{ 0x9c019ebe, "netdev_port_same_parent_id" },
	{ 0x86406637, "trace_event_buffer_commit" },
	{ 0x33680c85, "dev_addr_mod" },
	{ 0x69373108, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xe989e61c, "ptp_find_pin" },
	{ 0x16de7e6b, "eth_type_trans" },
	{ 0x19e6c7de, "pci_read_config_dword" },
	{ 0xe534820a, "request_firmware_direct" },
	{ 0xfd55cf4, "flow_rule_match_icmp" },
	{ 0xe1d9c902, "auxiliary_driver_unregister" },
	{ 0x6fed8860, "dma_map_page_attrs" },
	{ 0x827a20fe, "trace_seq_putc" },
	{ 0xe295dbc1, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x3219ced, "devlink_port_attrs_pci_vf_set" },
	{ 0x32dbf620, "priv_to_devlink" },
	{ 0x1eec1238, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x9d81b960, "vlan_dev_vlan_proto" },
	{ 0xc53ba24f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x42dae73, "put_device" },
	{ 0x7f52071a, "net_dim" },
	{ 0xa52fe69b, "__napi_schedule" },
	{ 0xd2f48caa, "devlink_port_health_reporter_create" },
	{ 0xc12f520e, "pcie_relaxed_ordering_enabled" },
	{ 0x101a5ee8, "xsk_set_rx_need_wakeup" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x655ab09a, "kmalloc_node_trace" },
	{ 0x182af189, "devlink_port_attrs_pci_pf_set" },
	{ 0xd2cbfb3, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x13f88e92, "netif_device_detach" },
	{ 0xd55dbb1d, "__free_pages" },
	{ 0x97d21ff6, "kmem_cache_alloc" },
	{ 0xfe91348f, "_dev_info" },
	{ 0x8074da14, "skb_vlan_pop" },
	{ 0xe0cac091, "napi_gro_receive" },
	{ 0xd5e4741e, "netif_device_attach" },
	{ 0x6930b2d5, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x699c24af, "netdev_pick_tx" },
	{ 0x9a1d2bce, "flow_indr_dev_unregister" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0xf39612ae, "xp_raw_get_dma" },
	{ 0x480b24fc, "eth_get_headlen" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x6b14d041, "xdp_rxq_info_is_reg" },
	{ 0x5d5d2339, "flow_rule_match_enc_opts" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xc2c5802, "work_busy" },
	{ 0x33a14e75, "devlink_net" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0xa9d7e544, "free_fib_info" },
	{ 0x4004f5, "devl_health_reporter_create" },
	{ 0x3aceb1d5, "flow_block_cb_setup_simple" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfbd1569e, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xd5ad0d88, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xc96b283d, "unregister_netdevice_notifier_dev_net" },
	{ 0xdf7ea535, "pci_find_capability" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x991b3b98, "pci_iov_vf_id" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xb87355eb, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x6c6c5cac, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0x581a0094, "vlan_dev_real_dev" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xeb6f33b3, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xcba0cd1d, "__dev_get_by_index" },
	{ 0x3a3ca5ef, "perf_trace_run_bpf_submit" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0xc78dfefd, "__irq_apply_affinity_hint" },
	{ 0x2f3474d, "devlink_port_unregister" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x6fe8e556, "dev_get_port_parent_id" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xab2c1db3, "_dev_err" },
	{ 0x113b9757, "init_net" },
	{ 0xd2510a63, "up_write" },
	{ 0x5952fce4, "softnet_data" },
	{ 0xafbb400, "ipv6_stub" },
	{ 0x807cf500, "simple_open" },
	{ 0x8c605623, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd2e79416, "cpu_bit_bitmap" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x9a270afb, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x82ce99b7, "simple_attr_release" },
	{ 0x86c2ec27, "ptp_clock_register" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xa905c070, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xd91d89e6, "xp_dma_sync_for_cpu_slow" },
	{ 0x1011d3fb, "xsk_tx_peek_desc" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x90bee919, "__traceiter_xdp_exception" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x26e50038, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x8dad5148, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xf6f57096, "irq_get_irq_data" },
	{ 0x901e7030, "dev_remove_pack" },
	{ 0xf3e995e1, "netif_set_real_num_rx_queues" },
	{ 0x81b433f2, "down" },
	{ 0x534343ca, "dev_get_by_index" },
	{ 0xf753a96e, "bpf_trace_run5" },
	{ 0xe92687fa, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x2084866, "skb_store_bits" },
	{ 0x2cb29486, "devl_port_register_with_ops" },
	{ 0x1c4ddf1b, "dev_get_by_index_rcu" },
	{ 0x441ac2a5, "kfree_skb_reason" },
	{ 0xe7977295, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0xa94ee689, "mlxfw_firmware_flash" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x9024c59, "pcie_capability_clear_and_set_word_locked" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xfb313513, "skb_push" },
	{ 0x5d7dee6b, "strscpy_pad" },
	{ 0xa81b89c5, "kmem_cache_free" },
	{ 0xba90c13e, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xd49e5aa4, "debugfs_remove" },
	{ 0x30587995, "pci_read_config_word" },
	{ 0x630fe454, "napi_enable" },
	{ 0x85abc85f, "strncmp" },
	{ 0x32cea844, "xsk_clear_rx_need_wakeup" },
	{ 0x103692ab, "unregister_netdevice_notifier_net" },
	{ 0x9972a60, "xsk_uses_need_wakeup" },
	{ 0x912f94b8, "register_netdev" },
	{ 0x9b20d53b, "unregister_fib_notifier" },
	{ 0x38086a6e, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x3aa17857, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x395a868d, "debugfs_create_u64" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xc3d28c5e, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x9e3395df, "debugfs_create_size_t" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xf86c1171, "devl_params_register" },
	{ 0x43cf3bc3, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x70d10eda, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x84a9fea4, "netif_set_xps_queue" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x2a35e8c9, "__ethtool_get_link_ksettings" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0x15d85a57, "down_trylock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x7c270710, "pci_restore_state" },
	{ 0x9e4c2145, "bpf_trace_run1" },
	{ 0xd7830b8b, "__inet6_lookup_established" },
	{ 0x6d3bb318, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x62480551, "device_del" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x17de32e0, "dma_sync_single_for_cpu" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0x1199cbbc, "page_pool_create" },
	{ 0xe381ca55, "skb_checksum" },
	{ 0x73ba7852, "devl_param_driverinit_value_set" },
	{ 0xeca21004, "_dev_warn" },
	{ 0x72c96f2b, "flow_rule_match_ports" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0xd81fa8f3, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8c1e7bd8, "devl_resources_unregister" },
	{ 0xc59042f1, "ptp_clock_event" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0x413a1d3a, "netif_schedule_queue" },
	{ 0x874af896, "__alloc_pages" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0xdf9b124c, "pci_set_master" },
	{ 0x1e6145c1, "devl_trap_groups_register" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xee832d18, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd8a0bb79, "flow_rule_match_ipv6_addrs" },
	{ 0xc91ce572, "netdev_set_tc_queue" },
	{ 0x65a7a23, "atomic_notifier_call_chain" },
	{ 0x1ff6def, "devl_params_unregister" },
	{ 0x83b460df, "ptp_clock_unregister" },
	{ 0xc1a5c215, "__pskb_pull_tail" },
	{ 0x50810ba6, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x953fe5a5, "__netdev_alloc_skb" },
	{ 0x6108288f, "complete_all" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x22ea2390, "devlink_trap_report" },
	{ 0xbcf847a8, "__neigh_event_send" },
	{ 0x2e4c2c2d, "flow_block_cb_alloc" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0x868bde1d, "down_write_trylock" },
	{ 0x1ee082ec, "dev_printk_emit" },
	{ 0x103bafd6, "down_read" },
	{ 0x4d51f3e9, "devl_traps_register" },
	{ 0x5da59d5d, "devl_unlock" },
	{ 0x61711e60, "__dynamic_netdev_dbg" },
	{ 0xe798236d, "jiffies" },
	{ 0xcfac7b6c, "dma_set_coherent_mask" },
	{ 0x1aa99a20, "__neigh_create" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x19119ab5, "flow_rule_match_enc_control" },
	{ 0x399504d6, "bpf_trace_run3" },
	{ 0x900e15a1, "seq_read" },
	{ 0x53f6ba10, "trace_print_flags_seq" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xb96bbae6, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xa4e188e7, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xa14e4b15, "debugfs_create_file" },
	{ 0x65a413da, "rps_may_expire_flow" },
	{ 0x3a5b7b0e, "metadata_dst_free" },
	{ 0xe4a95266, "blocking_notifier_chain_unregister" },
	{ 0x34a869a5, "xsk_set_tx_need_wakeup" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0xbee45c70, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd3bd32e0, "netdev_reset_tc" },
	{ 0xb3244b59, "neigh_destroy" },
	{ 0x6822684e, "dma_free_attrs" },
	{ 0xb1b1c93e, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x4478cde3, "trace_event_buffer_reserve" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xf9210456, "debugfs_create_x32" },
	{ 0xc4ad4877, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x53af5357, "flow_rule_match_enc_ports" },
	{ 0x2858a40e, "xdp_return_frame_bulk" },
	{ 0xbb9d0dc5, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2ccd3ba, "pci_release_regions" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x2b826baa, "bpf_prog_add" },
	{ 0x7cfe368d, "net_dim_get_def_tx_moderation" },
	{ 0x42ae6d99, "xa_find" },
	{ 0x4352359, "devl_assert_locked" },
	{ 0x5a4f282e, "pcie_print_link_status" },
	{ 0x40878d3b, "xp_set_rxq_info" },
	{ 0xced76aa2, "flow_rule_match_vlan" },
	{ 0xd59976b, "alloc_pages" },
	{ 0x611f9e7c, "devl_port_unregister" },
	{ 0x51efb743, "xdp_rxq_info_unreg" },
	{ 0x9ee366d0, "page_pool_alloc_pages" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xbf738091, "devl_param_driverinit_value_get" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x64cd7c30, "napi_build_skb" },
	{ 0x265e4bcd, "netdev_master_upper_dev_get_rcu" },
	{ 0xb2790214, "__folio_put" },
	{ 0x5c718ad, "__xdp_rxq_info_reg" },
	{ 0xd8406258, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1a79ca35, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd8e9afaa, "bpf_prog_inc" },
	{ 0x31d3199b, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x95bcf9df, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb35091, "netif_carrier_off" },
	{ 0xe4a0400b, "seq_printf" },
	{ 0x9a3076df, "flow_rule_match_meta" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb75d0732, "devlink_priv" },
	{ 0xa0ea85c, "devlink_port_register_with_ops" },
	{ 0x71334e5c, "pci_disable_sriov" },
	{ 0xd94cd200, "metadata_dst_alloc" },
	{ 0xe33acd87, "dst_release" },
	{ 0x4bdd3cf5, "netif_carrier_on" },
	{ 0x79da6dc, "netdev_set_num_tc" },
	{ 0xe6f1486d, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x31b9f60d, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8f36a18a, "pci_disable_device" },
	{ 0x8ac3334b, "net_dim_get_def_rx_moderation" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0xd3812ff6, "seq_puts" },
	{ 0xaaef9bff, "xp_free" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0x2fef4d8f, "page_pool_update_nid" },
	{ 0xb7ac0de4, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x215b1b28, "dma_set_mask" },
	{ 0x85d151f2, "__auxiliary_driver_register" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xb0dfc6ef, "netif_set_tso_max_size" },
	{ 0x82465157, "vlan_dev_vlan_id" },
	{ 0x701cc724, "__skb_flow_dissect" },
	{ 0x4930422d, "pci_msix_alloc_irq_at" },
	{ 0xdf93edf2, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0xf30ba290, "kmalloc_trace" },
	{ 0x5f604326, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x2b69cc3f, "xp_raw_get_data" },
	{ 0x51a1c27f, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x70336943, "xa_set_mark" },
	{ 0x32fc0047, "napi_schedule_prep" },
	{ 0xe5e4a312, "qdisc_reset" },
	{ 0x3a534ea, "napi_consume_skb" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0xf1c3b3cd, "xp_alloc_batch" },
	{ 0xea672267, "flow_rule_match_mpls" },
	{ 0x8c50ccac, "napi_disable" },
	{ 0xaad70d28, "dev_kfree_skb_any_reason" },
	{ 0x32f45a6d, "dcb_ieee_delapp" },
	{ 0x47ba1b79, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xc139a7fe, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x25217838, "debugfs_create_u8" },
	{ 0x1041a915, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x349cba85, "strchr" },
	{ 0x545436ae, "debugfs_create_dir" },
	{ 0x38762c8, "idr_get_next_ul" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0x7924ad73, "skb_ext_add" },
	{ 0x76275ab9, "pcie_bandwidth_available" },
	{ 0x70dba827, "pci_free_irq_vectors" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0x713b1e0, "flow_rule_match_control" },
	{ 0x3b6f9988, "flow_rule_match_ip" },
	{ 0xf9c28ce7, "pci_enable_sriov" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xa027d071, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xcbd09e6b, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x6accd7ab, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x995956fb, "xsk_tx_release" },
	{ 0x5f33f41b, "devl_traps_unregister" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xfde2e73d, "pci_iov_get_pf_drvdata" },
	{ 0x9c1cb4ae, "pci_write_config_dword" },
	{ 0x88520383, "kmalloc_caches" },
	{ 0xf0b032fa, "netdev_info" },
	{ 0x88a4685d, "neigh_lookup" },
	{ 0xdb86d4c0, "kmem_cache_destroy" },
	{ 0x436302a7, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc832a101, "module_layout" },
};

MODULE_INFO(depends, "psample,tls,mlxfw");

MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");
MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");

MODULE_INFO(srcversion, "6B790ADBB207ED45388AC55");
MODULE_INFO(rhelversion, "9.99");
