#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x7f774a3d, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x56ae797a, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x0ae98399, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x84656cf1, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x67beced0, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0xcd95cf57, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0xc1ee579c, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x14a236b7, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x995f7a81, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x7bd02132, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x6116f5fa, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0xa1236ba7, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x5b72bd1d, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0xaa719848, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0xb1c51e86, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0xe9d6cb0d, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x0f662b24, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x929fdd19, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x64f49c79, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x8530d5f3, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x2bf98ba6, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0xb6b84d6d, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0xae63087d, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x08ec3eea, "_gpl");
SYMBOL_CRC(nvme_set_features, 0xb1a1ebf4, "_gpl");
SYMBOL_CRC(nvme_get_features, 0xe4519724, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x9a4b774d, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0xb94dc3bd, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x690e038a, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0xa347f2b7, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x2946ec4a, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0xe4df6029, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0xe760ebe9, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x4ecffb47, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x2360b50f, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x1a2d8b17, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0xc2dea859, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x288f0c63, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x07fc0b08, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x4e947f02, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x9376b829, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0xa3172e81, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0xbe89e313, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0xb2a93638, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0xe8d59970, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x51a43da1, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0xf4295958, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x4697bc95, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x9b9174e8, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0x35a579a2, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0xa1310d1c, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x478503bb, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0xe300b064, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x9d0eaf37, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x27fcbedb, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0xc2ed5be5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x11abc494, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0xa296b459, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x32c4165e, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x2b1aba60, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x78a7430e, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x19a60c65, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0x27adfbe8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e333ab9, "set_capacity_and_notify" },
	{ 0xbec0516a, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa86e4b88, "set_disk_ro" },
	{ 0x8de9c50c, "__blk_alloc_disk" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x10f026d3, "blk_integrity_register" },
	{ 0x10cd7b1b, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x1604bf, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6c559158, "bio_integrity_map_user" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x3c4f5000, "device_remove_file_self" },
	{ 0x9da08dd6, "param_ops_uint" },
	{ 0x58940f58, "param_ops_ulong" },
	{ 0x747b9dcf, "blk_queue_logical_block_size" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x395a2b24, "dev_set_name" },
	{ 0x5602694a, "ext_pi_type3_crc64" },
	{ 0x3da0a5e4, "bio_split_to_limits" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x35577aea, "trace_seq_printf" },
	{ 0x4fc92a96, "disk_update_readahead" },
	{ 0x235c253a, "device_add_disk" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6cbff638, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x7080db69, "blk_mq_tagset_wait_completed_request" },
	{ 0x1fc6293, "cdev_device_del" },
	{ 0xe48bca27, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xd85e3000, "class_destroy" },
	{ 0x1f3ff915, "trace_event_printf" },
	{ 0xbe560380, "nvme_auth_transform_key" },
	{ 0x697a85eb, "device_initialize" },
	{ 0xfb324bfe, "blk_mq_unquiesce_queue" },
	{ 0x590af33e, "t10_pi_type1_crc" },
	{ 0x7d245d0c, "blk_queue_dma_alignment" },
	{ 0x58581b17, "blk_mq_quiesce_queue" },
	{ 0x67ead9d2, "trace_event_raw_init" },
	{ 0x14276e37, "ext_pi_type1_crc64" },
	{ 0x2e43d56d, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0xe4758559, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xe94b8578, "__traceiter_block_bio_remap" },
	{ 0x757c4077, "__traceiter_block_bio_complete" },
	{ 0x3a2240f7, "blk_queue_write_cache" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6be2ddd, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x24021875, "disk_uevent" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x8ee234ec, "synchronize_srcu" },
	{ 0x5d11946d, "param_ops_byte" },
	{ 0x68fb2bcb, "kmem_cache_create" },
	{ 0x67fbe39b, "get_device" },
	{ 0x8cf1b36d, "blk_mq_end_request" },
	{ 0x439f461e, "__blk_mq_alloc_disk" },
	{ 0x6e351a32, "__dynamic_dev_dbg" },
	{ 0x6f79375c, "mempool_free" },
	{ 0x49672828, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x50713665, "blk_integrity_unregister" },
	{ 0x67da2a04, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf8bb4309, "blk_mq_alloc_tag_set" },
	{ 0x7e659546, "blk_rq_is_poll" },
	{ 0x86406637, "trace_event_buffer_commit" },
	{ 0xe9d3388, "crypto_destroy_tfm" },
	{ 0x827a20fe, "trace_seq_putc" },
	{ 0x122c3a7e, "_printk" },
	{ 0x86d2335e, "mempool_create" },
	{ 0x79c14af9, "put_disk" },
	{ 0x6ff713d7, "crypto_alloc_kpp" },
	{ 0x40f7b259, "cdev_device_add" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x5f81d00c, "nvme_auth_free_key" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1e69a57c, "blk_queue_physical_block_size" },
	{ 0x779930c6, "blk_execute_rq" },
	{ 0x42dae73, "put_device" },
	{ 0x5084a486, "blk_mq_unquiesce_tagset" },
	{ 0xf0be8a02, "blk_queue_max_zone_append_sectors" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x655ab09a, "kmalloc_node_trace" },
	{ 0x963639ca, "blk_queue_flag_set" },
	{ 0xe9fcb616, "mempool_alloc" },
	{ 0x15166a9e, "blk_mq_free_request" },
	{ 0x45e4be94, "disk_set_zoned" },
	{ 0xd55dbb1d, "__free_pages" },
	{ 0xfe91348f, "_dev_info" },
	{ 0x1297370e, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc4044005, "module_put" },
	{ 0xf27d48d7, "sysfs_create_link" },
	{ 0x778a0431, "nvme_auth_gen_pubkey" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xf8ca52e, "compat_ptr_ioctl" },
	{ 0x14c25235, "t10_pi_type3_crc" },
	{ 0x23315430, "blk_rq_poll" },
	{ 0xb4531ebd, "blk_mq_quiesce_tagset" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x90fe216b, "key_put" },
	{ 0x29ac3585, "kobject_uevent_env" },
	{ 0x97227931, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x79fe7a0, "init_srcu_struct" },
	{ 0x3a3ca5ef, "perf_trace_run_bpf_submit" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xab2c1db3, "_dev_err" },
	{ 0x27ee9ef2, "blk_revalidate_disk_zones" },
	{ 0xd2510a63, "up_write" },
	{ 0xab073390, "crypto_shash_setkey" },
	{ 0xbec16b13, "device_add" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0xc96fb190, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x5de60cd3, "sysfs_remove_link" },
	{ 0xcf1daa33, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb1cdea85, "__srcu_read_lock" },
	{ 0x435f2fb3, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc818bee6, "submit_bio_noacct" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x29665d10, "class_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xdbf3dc80, "blk_sync_queue" },
	{ 0x897fa3ed, "bdev_start_io_acct" },
	{ 0x85abc85f, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x38086a6e, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x2eafdd47, "blk_mq_alloc_request_hctx" },
	{ 0x5f8a221c, "__io_uring_cmd_do_in_task" },
	{ 0xe434cdb1, "blk_mq_alloc_request" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xc942344e, "blk_stack_limits" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x24bcdcec, "crypto_shash_update" },
	{ 0xe840b13, "blk_mq_free_tag_set" },
	{ 0xcd35d4bf, "del_gendisk" },
	{ 0x292d39c3, "blk_queue_max_discard_sectors" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x610399cd, "cleanup_srcu_struct" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x280d0d6f, "blk_queue_max_discard_segments" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3898cd06, "nvme_auth_augmented_challenge" },
	{ 0xd2f7888c, "blk_set_stacking_limits" },
	{ 0xc6eecd17, "blk_mq_freeze_queue_wait_timeout" },
	{ 0xb029208c, "blk_put_queue" },
	{ 0x9e4c2145, "bpf_trace_run1" },
	{ 0x62480551, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xeca21004, "_dev_warn" },
	{ 0x6085cfbd, "blk_mq_wait_quiesce_done" },
	{ 0x20b53f72, "blk_queue_max_segments" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xfc21d5dd, "blk_mq_init_queue" },
	{ 0xc7caec35, "io_uring_cmd_done" },
	{ 0xb7fdd1b0, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x103bafd6, "down_read" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xe798236d, "jiffies" },
	{ 0x489a0a5, "nvme_auth_generate_key" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x399504d6, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf35a8344, "blk_queue_virt_boundary" },
	{ 0xa4e188e7, "strscpy" },
	{ 0xe058656e, "blk_mq_complete_request" },
	{ 0x92a754eb, "blk_queue_chunk_sectors" },
	{ 0x5db52a6b, "blk_queue_max_write_zeroes_sectors" },
	{ 0xcb20f32, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x4478cde3, "trace_event_buffer_reserve" },
	{ 0x9982fdd8, "crypto_shash_final" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe9d26bf6, "param_ops_bool" },
	{ 0x312e49f5, "blk_mq_destroy_queue" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x53c76fc1, "blk_freeze_queue_start" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xd59976b, "alloc_pages" },
	{ 0xc62ab2bc, "mempool_destroy" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2ccb56cb, "__tracepoint_block_bio_complete" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x44c1c4df, "blk_queue_io_min" },
	{ 0x626886bd, "__srcu_read_unlock" },
	{ 0xe00db6dc, "__tracepoint_block_bio_remap" },
	{ 0xdae29250, "blk_mq_unfreeze_queue" },
	{ 0x777ab59d, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xea4f6ad, "blkdev_compat_ptr_ioctl" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x422fb568, "blk_rq_map_user_iov" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0xf30ba290, "kmalloc_trace" },
	{ 0x9f490f38, "blk_queue_max_hw_sectors" },
	{ 0x2b677e4, "blk_mark_disk_dead" },
	{ 0x97d5263e, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7ca28992, "crypto_alloc_shash" },
	{ 0x1cdbfc7c, "blk_mq_freeze_queue_wait" },
	{ 0xf07c43d8, "nvme_auth_gen_privkey" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x26a59de1, "blk_queue_io_opt" },
	{ 0xa027d071, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xbafd6f1c, "blk_mq_requeue_request" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x32e49108, "cdev_init" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x48fc6309, "bdev_end_io_acct" },
	{ 0x88520383, "kmalloc_caches" },
	{ 0x9665db2f, "blk_steal_bios" },
	{ 0xdb86d4c0, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc832a101, "module_layout" },
};

MODULE_INFO(depends, "t10-pi,nvme-auth");


MODULE_INFO(srcversion, "B86D56B680F46E5C96448AD");
MODULE_INFO(rhelversion, "9.99");
