#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xf903c5bb, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x96de6e1d, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x7eaa7e95, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x0102fe62, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0xbc7300ff, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0xb84474e4, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x8779aedf, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x23c2fd74, "");
SYMBOL_CRC(ip_vs_conn_put, 0xbb0756fe, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0xa2acd949, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0xa55e5954, "");
SYMBOL_CRC(register_ip_vs_app, 0x662cb8d0, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x5224eaa3, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x104876a9, "");
SYMBOL_CRC(ip_vs_proto_get, 0x1c1476f1, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0xbade3892, "");
SYMBOL_CRC(register_ip_vs_pe, 0x24f6aaba, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x02a9c5ce, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x59e33db8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x63295228, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x16f517e7, "nf_conntrack_find_get" },
	{ 0xff7ad1b5, "krealloc" },
	{ 0x10cd7b1b, "try_module_get" },
	{ 0x139e0700, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x2d01954a, "icmp6_send" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xf44191cd, "skb_copy_bits" },
	{ 0xddaf20e2, "xfrm_lookup" },
	{ 0xe88559e1, "proc_dointvec_jiffies" },
	{ 0x6506a8ef, "housekeeping_cpumask" },
	{ 0xb6423046, "consume_skb" },
	{ 0x5e4d4d7b, "ip6_local_out" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xbe25a42f, "nf_register_sockopt" },
	{ 0x33569e6f, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x81f79504, "nf_ct_netns_get" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x28b6d9ec, "kernel_bind" },
	{ 0x63e10fa3, "set_user_nice" },
	{ 0x59c70c82, "genlmsg_put" },
	{ 0xb36242bc, "udp_set_csum" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x857d0ee4, "ip6_route_me_harder" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd33a698f, "__module_get" },
	{ 0x52600a4d, "ip_route_output_flow" },
	{ 0x68fb2bcb, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xe26c07c7, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xa03eed67, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x7b11908c, "proc_create_net_data" },
	{ 0xc0f2fe5, "pskb_expand_head" },
	{ 0xab93abc2, "register_pernet_subsys" },
	{ 0xb201116e, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xce1c55bc, "register_net_sysctl_sz" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x3fd701df, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa647553d, "nf_register_net_hooks" },
	{ 0xda54642e, "ip6_route_output_flags" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xeeeb8c90, "__alloc_skb" },
	{ 0x97d21ff6, "kmem_cache_alloc" },
	{ 0x28a72d2f, "ipv6_sock_mc_join" },
	{ 0xc4044005, "module_put" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x800473f, "__cond_resched" },
	{ 0xe82e47b8, "ipv6_dev_get_saddr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4a5b1427, "__skb_get_hash" },
	{ 0x113b9757, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x9d6f3d94, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x614bae6c, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xaa7190cc, "ip_route_me_harder" },
	{ 0x441ac2a5, "kfree_skb_reason" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xfb313513, "skb_push" },
	{ 0xa81b89c5, "kmem_cache_free" },
	{ 0x80de46ec, "set_cpus_allowed_ptr" },
	{ 0xc2c4dc68, "seq_putc" },
	{ 0x7965889, "nla_put" },
	{ 0x31500158, "proc_doulongvec_minmax" },
	{ 0x74c068a4, "nf_ct_expect_alloc" },
	{ 0x80e95eaf, "skb_ensure_writable" },
	{ 0x1c5a6d4f, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2c00c39c, "ip_mc_join_group" },
	{ 0x74888b2b, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x6c8b393e, "ns_capable" },
	{ 0xf13ef5a9, "nf_unregister_net_hooks" },
	{ 0x44e77cb5, "inet_select_addr" },
	{ 0x3200ba46, "unregister_pernet_device" },
	{ 0x998923d0, "lock_sock_nested" },
	{ 0xdb171ee5, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x54094abe, "kthread_stop" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x14025768, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x660827a5, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xf44b2aa7, "kernel_connect" },
	{ 0xe381ca55, "skb_checksum" },
	{ 0xcaaa559e, "ip_defrag" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc1a5c215, "__pskb_pull_tail" },
	{ 0x256b5d25, "nf_ct_delete" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x50a59570, "skb_trim" },
	{ 0x15072595, "nf_hook_slow" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xbbd5d4b8, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x6b200559, "nf_ct_deliver_cached_events" },
	{ 0x246a2954, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb96bbae6, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa4e188e7, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x2e69d756, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5024dc32, "skb_set_owner_w" },
	{ 0x404f9760, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x1cde4c1b, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8019d92, "init_user_ns" },
	{ 0xca64bcae, "nf_ct_expect_init" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x14bb7f77, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe4a0400b, "seq_printf" },
	{ 0x6eb3d456, "sock_recvmsg" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x610cebed, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbd406164, "ipv4_update_pmtu" },
	{ 0xf5e0463f, "nf_defrag_ipv6_enable" },
	{ 0xe33acd87, "dst_release" },
	{ 0x15f361c5, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x74dae967, "proc_dointvec" },
	{ 0xd3812ff6, "seq_puts" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x49e0b1dc, "unregister_net_sysctl_table" },
	{ 0xe8dee938, "ip_local_out" },
	{ 0xcec7e6a5, "genl_unregister_family" },
	{ 0xf30ba290, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x7db89bd3, "udp6_set_csum" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xbe3b9817, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x4d224c05, "genl_register_family" },
	{ 0x881b2280, "kernel_sendmsg" },
	{ 0x66dce705, "nf_ct_netns_put" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xff9b3621, "register_pernet_device" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0x88520383, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xdb86d4c0, "kmem_cache_destroy" },
	{ 0x5b057f1a, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xaa3212b1, "proc_dointvec_minmax" },
	{ 0xc832a101, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_defrag_ipv6");


MODULE_INFO(srcversion, "755839697D15FC0E1743467");
MODULE_INFO(rhelversion, "9.99");
