#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_send_uevents, "_gpl", "");
KSYMTAB_FUNC(dm_path_uevent, "_gpl", "");
KSYMTAB_FUNC(dm_report_zones, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_ti, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_bio, "_gpl", "");
KSYMTAB_FUNC(dm_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_from_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_get_target_bio_nr, "_gpl", "");
KSYMTAB_FUNC(dm_get_reserved_bio_based_ios, "_gpl", "");
KSYMTAB_FUNC(dm_start_time_ns_from_clone, "_gpl", "");
KSYMTAB_FUNC(dm_set_target_max_io_len, "_gpl", "");
KSYMTAB_FUNC(dm_accept_partial_bio, "_gpl", "");
KSYMTAB_FUNC(dm_submit_bio_remap, "_gpl", "");
KSYMTAB_FUNC(dm_get_md, "_gpl", "");
KSYMTAB_FUNC(dm_hold, "_gpl", "");
KSYMTAB_FUNC(dm_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_put, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_noflush, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_fast, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume_fast, "_gpl", "");
KSYMTAB_FUNC(dm_disk, "_gpl", "");
KSYMTAB_FUNC(dm_suspended, "_gpl", "");
KSYMTAB_FUNC(dm_post_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_noflush_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_get_device, "", "");
KSYMTAB_FUNC(dm_put_device, "", "");
KSYMTAB_FUNC(dm_read_arg, "", "");
KSYMTAB_FUNC(dm_read_arg_group, "", "");
KSYMTAB_FUNC(dm_shift_arg, "", "");
KSYMTAB_FUNC(dm_consume_args, "", "");
KSYMTAB_FUNC(dm_table_set_type, "_gpl", "");
KSYMTAB_FUNC(dm_table_event, "", "");
KSYMTAB_FUNC(dm_table_get_size, "", "");
KSYMTAB_FUNC(dm_table_get_mode, "", "");
KSYMTAB_FUNC(dm_table_get_md, "", "");
KSYMTAB_FUNC(dm_table_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_table_run_md_queue_async, "", "");
KSYMTAB_FUNC(dm_register_target, "", "");
KSYMTAB_FUNC(dm_unregister_target, "", "");
KSYMTAB_FUNC(dm_copy_name_and_uuid, "_gpl", "");
KSYMTAB_FUNC(dm_io_client_create, "", "");
KSYMTAB_FUNC(dm_io_client_destroy, "", "");
KSYMTAB_FUNC(dm_io, "", "");
KSYMTAB_FUNC(dm_kcopyd_copy, "", "");
KSYMTAB_FUNC(dm_kcopyd_zero, "", "");
KSYMTAB_FUNC(dm_kcopyd_prepare_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_do_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_create, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_destroy, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_flush, "", "");
KSYMTAB_FUNC(dm_mq_kick_requeue_list, "", "");

SYMBOL_CRC(dm_send_uevents, 0xac0aef46, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0x8eb754e7, "_gpl");
SYMBOL_CRC(dm_report_zones, 0x037792ac, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0xae9b38e7, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0x00958e61, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0x51813724, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0x1d7ff048, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0x90ef7165, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0x3ed2e2ff, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0xa3f4693c, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0x212829e3, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0x2370c9da, "_gpl");
SYMBOL_CRC(dm_get_md, 0x39107031, "_gpl");
SYMBOL_CRC(dm_hold, 0x93533996, "_gpl");
SYMBOL_CRC(dm_device_name, 0x2e56e9a3, "_gpl");
SYMBOL_CRC(dm_put, 0x6bbfab72, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0x142325d4, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0xddc910ee, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0x33b40652, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0x5c31c33e, "_gpl");
SYMBOL_CRC(dm_disk, 0xb09e3b4f, "_gpl");
SYMBOL_CRC(dm_suspended, 0x8e8c9478, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0xfdc9288c, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0xe5a90565, "_gpl");
SYMBOL_CRC(dm_get_device, 0xd9466598, "");
SYMBOL_CRC(dm_put_device, 0x6a328095, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0x1bab92e2, "_gpl");
SYMBOL_CRC(dm_table_event, 0xa3a2e6f2, "");
SYMBOL_CRC(dm_table_get_size, 0xe9d0358d, "");
SYMBOL_CRC(dm_table_get_mode, 0x507c0686, "");
SYMBOL_CRC(dm_table_get_md, 0x8b5a6658, "");
SYMBOL_CRC(dm_table_device_name, 0x90512730, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0x97fb190c, "");
SYMBOL_CRC(dm_register_target, 0x5ca7505e, "");
SYMBOL_CRC(dm_unregister_target, 0xff589e58, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0xe7c842ea, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0x30ff3931, "");
SYMBOL_CRC(dm_kcopyd_copy, 0xf299e55d, "");
SYMBOL_CRC(dm_kcopyd_zero, 0x4b404de2, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0xc014c0ab, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbec0516a, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0xa86e4b88, "set_disk_ro" },
	{ 0x8de9c50c, "__blk_alloc_disk" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x10f026d3, "blk_integrity_register" },
	{ 0x10cd7b1b, "try_module_get" },
	{ 0xc0bfb9d4, "VMALLOC_END" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1604bf, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x729285ad, "bdev_open_by_dev" },
	{ 0xa2f7159a, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x648074f0, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3761d215, "idr_find" },
	{ 0x9da08dd6, "param_ops_uint" },
	{ 0x58940f58, "param_ops_ulong" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0x3da0a5e4, "bio_split_to_limits" },
	{ 0x814c2985, "vmalloc_to_page" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x4fc92a96, "disk_update_readahead" },
	{ 0x235c253a, "device_add_disk" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5809517, "fs_dax_get_by_bdev" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0xa11b51b, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0x625ab0f7, "blk_mq_queue_inflight" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0xf99f4d32, "dm_kobject_release" },
	{ 0xd566933c, "up" },
	{ 0x7dec65ff, "mempool_init" },
	{ 0x2f35329b, "blk_rq_prep_clone" },
	{ 0xfb324bfe, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x58581b17, "blk_mq_quiesce_queue" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xe94b8578, "__traceiter_block_bio_remap" },
	{ 0x3a2240f7, "blk_queue_write_cache" },
	{ 0x585f6b3e, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x74b939f1, "blk_rq_unprep_clone" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x8ee234ec, "synchronize_srcu" },
	{ 0x68fb2bcb, "kmem_cache_create" },
	{ 0x8cf1b36d, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x620e4c56, "bdev_thaw" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x6f79375c, "mempool_free" },
	{ 0x49672828, "node_states" },
	{ 0x8f86ad44, "alloc_dax" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x50713665, "blk_integrity_unregister" },
	{ 0x67da2a04, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0xf8bb4309, "blk_mq_alloc_tag_set" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0xe9d3388, "crypto_destroy_tfm" },
	{ 0x29789394, "empty_zero_page" },
	{ 0xe83ba6b4, "__traceiter_block_split" },
	{ 0x55647686, "bioset_integrity_create" },
	{ 0x122c3a7e, "_printk" },
	{ 0x79c14af9, "put_disk" },
	{ 0xebbf1dba, "strncasecmp" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x5ced1321, "bio_integrity_trim" },
	{ 0x1000e51, "schedule" },
	{ 0xfad9c827, "kill_dax" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6be8016a, "bdev_nr_zones" },
	{ 0x6e415bc, "__tracepoint_block_split" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x963639ca, "blk_queue_flag_set" },
	{ 0x655ab09a, "kmalloc_node_trace" },
	{ 0xe9fcb616, "mempool_alloc" },
	{ 0xd55dbb1d, "__free_pages" },
	{ 0x97d21ff6, "kmem_cache_alloc" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xd0187af9, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x25273763, "submit_bio" },
	{ 0xf92f0b5f, "dax_add_host" },
	{ 0x20f05ac7, "blk_queue_flag_clear" },
	{ 0xc4044005, "module_put" },
	{ 0xacc24288, "blk_mq_init_allocated_queue" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xe96ab47d, "bioset_exit" },
	{ 0x800473f, "__cond_resched" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xc53cd7e4, "ima_measure_critical_data" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x29ac3585, "kobject_uevent_env" },
	{ 0xd4731bd0, "bio_put" },
	{ 0x97227931, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0x79fe7a0, "init_srcu_struct" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0xbe70bb5c, "blk_update_request" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x4dea1053, "memchr" },
	{ 0x417d8076, "dax_zero_page_range" },
	{ 0xb1cdea85, "__srcu_read_lock" },
	{ 0x435f2fb3, "set_capacity" },
	{ 0xc818bee6, "submit_bio_noacct" },
	{ 0x60fbb1d2, "noop_llseek" },
	{ 0x2de9e33c, "blk_integrity_compare" },
	{ 0x81b433f2, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x5d7dee6b, "strscpy_pad" },
	{ 0x897fa3ed, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xa81b89c5, "kmem_cache_free" },
	{ 0xacc28836, "dax_remove_host" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xfac19588, "__clear_user" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x542f9888, "bio_chain" },
	{ 0xf7e89bd4, "dax_recovery_write" },
	{ 0x84231ea5, "bdev_freeze" },
	{ 0xf6c3e4aa, "wait_for_completion_io" },
	{ 0xc942344e, "blk_stack_limits" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x85ce1807, "kobject_init_and_add" },
	{ 0x13381b25, "zero_fill_bio_iter" },
	{ 0xed631795, "bio_add_page" },
	{ 0x24bcdcec, "crypto_shash_update" },
	{ 0xe840b13, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcd35d4bf, "del_gendisk" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x610399cd, "cleanup_srcu_struct" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd2f7888c, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0xe49eb787, "bd_unlink_disk_holder" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x20fd2da7, "bio_init" },
	{ 0x30374806, "bio_alloc_clone" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x4f583918, "misc_register" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xcc764698, "blk_insert_cloned_request" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x103bafd6, "down_read" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x9ac684c5, "audit_log_start" },
	{ 0x8d61cb30, "nonseekable_open" },
	{ 0xd3f71d53, "blk_limits_io_min" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa4e188e7, "strscpy" },
	{ 0xe058656e, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x5d350ef6, "bio_uninit" },
	{ 0x9982fdd8, "crypto_shash_final" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xe9d26bf6, "param_ops_bool" },
	{ 0x7a92220, "bioset_init" },
	{ 0xe6938a9, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0x1a08d2ba, "VMALLOC_START" },
	{ 0xd59976b, "alloc_pages" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa9f771cf, "__traceiter_block_rq_remap" },
	{ 0x626886bd, "__srcu_read_unlock" },
	{ 0x8135613, "dax_write_cache" },
	{ 0xe00db6dc, "__tracepoint_block_bio_remap" },
	{ 0xe12681a4, "__tracepoint_block_rq_remap" },
	{ 0xe5393dc8, "bd_link_disk_holder" },
	{ 0xb8c6757b, "blk_mq_start_request" },
	{ 0x58717ffe, "blk_limits_io_opt" },
	{ 0x7242d92, "put_dax" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf30ba290, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x2b677e4, "blk_mark_disk_dead" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xbe3b9817, "param_ops_int" },
	{ 0x51f8ce24, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0xb8acaa60, "bdev_release" },
	{ 0x7ca28992, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0x8ac028c4, "bio_alloc_bioset" },
	{ 0x555ccb97, "up_read" },
	{ 0xbafd6f1c, "blk_mq_requeue_request" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc62246c8, "blkdev_report_zones" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x48fc6309, "bdev_end_io_acct" },
	{ 0x88520383, "kmalloc_caches" },
	{ 0xc904c5b, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xdb86d4c0, "kmem_cache_destroy" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x49897844, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xc832a101, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AAD260E5EAD8DA669A3692E");
MODULE_INFO(rhelversion, "9.99");
