#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0x5872d4d8, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0xdcbf0691, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0x97e0b445, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0x2b213735, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0xdaa35800, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0x75e94a21, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x1e73f352, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0xb13667df, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0xdf851bd5, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0x12c4903c, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0xdc442b9b, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0xaa9c7e17, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0x36eed8a1, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0x070c32ed, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0xcbf88f22, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0x84a94546, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0x3e9d7cf2, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0xee922549, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0x12591caa, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0x5ad66a4c, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0x6107286a, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0xcff0a4d5, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0x463edcb0, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0x49d50bb2, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0x4bb3f71b, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0xbedb0ce7, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0x42456930, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0x5a9539a5, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0x088c7872, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0xce3c99a9, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0x17c729b4, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0x7e0c2408, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0x72a04c0a, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0x591d7d67, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0xbb132b4e, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0xc56bfdad, "");
SYMBOL_CRC(mlx4_test_async, 0x103e07ad, "");
SYMBOL_CRC(mlx4_test_interrupt, 0x3192eb1b, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0xff03e409, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0x8ad02c81, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0x8c1c6363, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0xd1692d2c, "");
SYMBOL_CRC(mlx4_assign_eq, 0x7b617a6c, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0x4e241c8e, "");
SYMBOL_CRC(mlx4_release_eq, 0xf3336392, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0x71d0631f, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0x780a6de2, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0xb6140e22, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0xe5e87251, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0x3b116d07, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0x5eb7b76a, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x915a97a1, "");
SYMBOL_CRC(mlx4_wol_read, 0x818b29bd, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x09843011, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0x8a516da4, "_gpl");
SYMBOL_CRC(get_phv_bit, 0xe536cd77, "");
SYMBOL_CRC(set_phv_bit, 0x42bb9f3b, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0x0bcd4496, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0x173fb8bd, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0x178b24d8, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0x5900e8d3, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0xc940915b, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0x6e3d98ce, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0x499d84e5, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0x5df20746, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0x90e2f122, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0xb72d33c1, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0x69fe7ff6, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0x66e8573d, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0x2aa57067, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0x9d7adc3a, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0x72c167f5, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0xa608e856, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0x50e70e4e, "");
SYMBOL_CRC(mlx4_is_slave_active, 0xdadd2756, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0x2d802e73, "");
SYMBOL_CRC(mlx4_read_clock, 0x556c5d08, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0xa214eced, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0x8c0ef158, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x04793272, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0x6683dc1b, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0x7f5b8a86, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0x69d5ed3d, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0x10512082, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x6008c34d, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0x05126300, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0xf44ba745, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0xe2bd1989, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0x99325ade, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0x69ef8dc8, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0x1f0780fd, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0x4ae4aa46, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0xf6b41a1b, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0xdf95713e, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0x0229b5cf, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0x47a3e1ef, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0xf505fbc7, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0x54568897, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0x8821214f, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0xfca40b96, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0x86c9d608, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0xdfb05043, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0xdfe565b1, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0x4e36fced, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0x4d5fe1ce, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0x8e76e6e8, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0x63fed3dc, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0x544f9b6b, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0xdc8ef833, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0xc11cdbc7, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0x078bb732, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0x4d694f3f, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0x1d98583e, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x0d0327b2, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0xad6e2ee4, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0x8ed22b2f, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0xa932486b, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0xd133afce, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0xa3769f51, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0x46fe4640, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0xaa205112, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0xf5389fd5, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0x37b94e2a, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0x7b96546e, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0x53c68eca, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0x32517891, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0xcc58979d, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0xea602e55, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0x17eef957, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0xef1300bd, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0x81e189fe, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0x357b3bcf, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0xd607457d, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0x977fa67d, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0x91961881, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0x645f3755, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0xdf56de1e, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0x117c0f97, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0x5b66946b, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0x61eacf6a, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0x35132302, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0x76c25a1a, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0xb1fc012d, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x5eca2352, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0xdbd0d4da, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0x48620c0f, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0x8506c785, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0x87a52f0a, "");
SYMBOL_CRC(mlx4_get_module_info, 0x250c72f3, "");
SYMBOL_CRC(mlx4_max_tc, 0x2cdbe92d, "");
SYMBOL_CRC(mlx4_put_qp, 0x18f820ab, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0xa374f1c9, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0xb2f91773, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0x9ea73cfb, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0xc78ad9df, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0xd48b9891, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0x5e6cdfe3, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0xbbb171b1, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0xdb16b0b3, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0x93364ad6, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0x74ae997d, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0xaea8eabf, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0x0eac4baf, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0x1581212e, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0x163f06f3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd99b5d5, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x72c1450d, "pcie_capability_write_word" },
	{ 0x1604bf, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1405bfae, "devl_region_create" },
	{ 0xee56d90, "devlink_unregister" },
	{ 0xb0353acb, "dma_pool_create" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x530b6a96, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x25e47dc3, "auxiliary_device_init" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x349ad386, "devlink_region_snapshot_id_get" },
	{ 0x8eaabd8c, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0x8bded20f, "zpci_load" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xdbe82445, "__pci_register_driver" },
	{ 0xd566933c, "up" },
	{ 0x5eaed616, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x66f0268c, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xf50892fe, "param_array_ops" },
	{ 0x2550ae43, "pci_request_regions" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xadda4d3f, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x82800af5, "pci_sriov_get_totalvfs" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xb836fa5, "devlink_register" },
	{ 0x4a14246b, "devlink_port_type_clear" },
	{ 0x5a5f6376, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5d11946d, "param_ops_byte" },
	{ 0x67fbe39b, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x49672828, "node_states" },
	{ 0x8b42f818, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x19e6c7de, "pci_read_config_dword" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0xe1d9c902, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x79f88c1f, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x32dbf620, "priv_to_devlink" },
	{ 0xc53ba24f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x42dae73, "put_device" },
	{ 0xa59b24a4, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x655ab09a, "kmalloc_node_trace" },
	{ 0xd55dbb1d, "__free_pages" },
	{ 0xfe91348f, "_dev_info" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x800473f, "__cond_resched" },
	{ 0x5b6cdded, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xc78dfefd, "__irq_apply_affinity_hint" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xab2c1db3, "_dev_err" },
	{ 0x113b9757, "init_net" },
	{ 0xd2510a63, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x8dad5148, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x81b433f2, "down" },
	{ 0x2cb29486, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xba90c13e, "dma_alloc_attrs" },
	{ 0x30587995, "pci_read_config_word" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xf86c1171, "devl_params_register" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x7c270710, "pci_restore_state" },
	{ 0x62480551, "device_del" },
	{ 0x17de32e0, "dma_sync_single_for_cpu" },
	{ 0x73ba7852, "devl_param_driverinit_value_set" },
	{ 0xeca21004, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0x874af896, "__alloc_pages" },
	{ 0xdf9b124c, "pci_set_master" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x65a7a23, "atomic_notifier_call_chain" },
	{ 0x1ff6def, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x103bafd6, "down_read" },
	{ 0x5da59d5d, "devl_unlock" },
	{ 0xe798236d, "jiffies" },
	{ 0xcfac7b6c, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xa4e188e7, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x6822684e, "dma_free_attrs" },
	{ 0xb1b1c93e, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe9d26bf6, "param_ops_bool" },
	{ 0x2ccd3ba, "pci_release_regions" },
	{ 0x4352359, "devl_assert_locked" },
	{ 0x5a4f282e, "pcie_print_link_status" },
	{ 0xd59976b, "alloc_pages" },
	{ 0x611f9e7c, "devl_port_unregister" },
	{ 0xbf738091, "devl_param_driverinit_value_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb75d0732, "devlink_priv" },
	{ 0x71334e5c, "pci_disable_sriov" },
	{ 0xe2338d3d, "pci_disable_msix" },
	{ 0x8f36a18a, "pci_disable_device" },
	{ 0x215b1b28, "dma_set_mask" },
	{ 0x85d151f2, "__auxiliary_driver_register" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xe0c7556a, "dma_unmap_sg_attrs" },
	{ 0xf30ba290, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xbe3b9817, "param_ops_int" },
	{ 0x22b91f00, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0xf9c28ce7, "pci_enable_sriov" },
	{ 0x555ccb97, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x9c1cb4ae, "pci_write_config_dword" },
	{ 0x88520383, "kmalloc_caches" },
	{ 0xcefd48e7, "device_remove_file" },
	{ 0xdef319f2, "dma_map_sg_attrs" },
	{ 0x4e49a1d8, "devl_param_value_changed" },
	{ 0xc832a101, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "44C90A50F0C673CF32A3B15");
MODULE_INFO(rhelversion, "9.99");
