#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(fc_lport_notifier_head, "", "");
KSYMTAB_FUNC(fc_fill_hdr, "", "");
KSYMTAB_FUNC(fc_fill_reply_hdr, "", "");
KSYMTAB_FUNC(fc_lport_iterate, "", "");
KSYMTAB_FUNC(fc_fc4_register_provider, "", "");
KSYMTAB_FUNC(fc_fc4_deregister_provider, "", "");
KSYMTAB_FUNC(fc_disc_config, "", "");
KSYMTAB_FUNC(fc_disc_init, "", "");
KSYMTAB_DATA(fc_cpu_mask, "", "");
KSYMTAB_FUNC(fc_seq_send, "", "");
KSYMTAB_FUNC(fc_seq_start_next, "", "");
KSYMTAB_FUNC(fc_seq_set_resp, "", "");
KSYMTAB_FUNC(fc_exch_done, "", "");
KSYMTAB_FUNC(fc_seq_els_rsp_send, "_gpl", "");
KSYMTAB_FUNC(fc_seq_assign, "", "");
KSYMTAB_FUNC(fc_seq_release, "", "");
KSYMTAB_FUNC(fc_exch_mgr_reset, "", "");
KSYMTAB_FUNC(fc_exch_seq_send, "", "");
KSYMTAB_FUNC(fc_exch_update_stats, "", "");
KSYMTAB_FUNC(fc_exch_mgr_add, "", "");
KSYMTAB_FUNC(fc_exch_mgr_del, "", "");
KSYMTAB_FUNC(fc_exch_mgr_list_clone, "", "");
KSYMTAB_FUNC(fc_exch_mgr_alloc, "", "");
KSYMTAB_FUNC(fc_exch_mgr_free, "", "");
KSYMTAB_FUNC(fc_exch_recv, "", "");
KSYMTAB_FUNC(fc_exch_init, "", "");
KSYMTAB_FUNC(fc_elsct_send, "", "");
KSYMTAB_FUNC(fc_elsct_init, "", "");
KSYMTAB_FUNC(fc_frame_crc_check, "", "");
KSYMTAB_FUNC(_fc_frame_alloc, "", "");
KSYMTAB_FUNC(fc_frame_alloc_fill, "", "");
KSYMTAB_FUNC(fc_get_host_port_state, "", "");
KSYMTAB_FUNC(fc_get_host_speed, "", "");
KSYMTAB_FUNC(fc_get_host_stats, "", "");
KSYMTAB_FUNC(fc_fabric_login, "", "");
KSYMTAB_FUNC(fc_linkup, "", "");
KSYMTAB_FUNC(fc_linkdown, "", "");
KSYMTAB_FUNC(fc_fabric_logoff, "", "");
KSYMTAB_FUNC(fc_lport_destroy, "", "");
KSYMTAB_FUNC(fc_set_mfs, "", "");
KSYMTAB_FUNC(fc_lport_set_local_id, "", "");
KSYMTAB_FUNC(fc_lport_recv, "", "");
KSYMTAB_FUNC(fc_lport_reset, "", "");
KSYMTAB_FUNC(fc_lport_logo_resp, "", "");
KSYMTAB_FUNC(fc_lport_flogi_resp, "", "");
KSYMTAB_FUNC(fc_lport_config, "", "");
KSYMTAB_FUNC(fc_lport_init, "", "");
KSYMTAB_FUNC(fc_lport_bsg_request, "", "");
KSYMTAB_FUNC(fc_rport_lookup, "", "");
KSYMTAB_FUNC(fc_rport_create, "", "");
KSYMTAB_FUNC(fc_rport_destroy, "", "");
KSYMTAB_FUNC(fc_set_rport_loss_tmo, "", "");
KSYMTAB_FUNC(fc_rport_login, "", "");
KSYMTAB_FUNC(fc_rport_logoff, "", "");
KSYMTAB_FUNC(fc_rport_recv_req, "", "");
KSYMTAB_FUNC(fc_rport_flush_queue, "", "");
KSYMTAB_FUNC(fc_rport_terminate_io, "", "");
KSYMTAB_FUNC(fc_queuecommand, "", "");
KSYMTAB_FUNC(fc_eh_abort, "", "");
KSYMTAB_FUNC(fc_eh_device_reset, "", "");
KSYMTAB_FUNC(fc_eh_host_reset, "", "");
KSYMTAB_FUNC(fc_slave_alloc, "", "");
KSYMTAB_FUNC(fc_fcp_destroy, "", "");
KSYMTAB_FUNC(fc_fcp_init, "", "");
KSYMTAB_FUNC(libfc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_id_lookup, "", "");
KSYMTAB_FUNC(fc_vport_setlink, "", "");

SYMBOL_CRC(fc_lport_notifier_head, 0xf1e0571d, "");
SYMBOL_CRC(fc_fill_hdr, 0x0dec4125, "");
SYMBOL_CRC(fc_fill_reply_hdr, 0x591654ae, "");
SYMBOL_CRC(fc_lport_iterate, 0x698f8e98, "");
SYMBOL_CRC(fc_fc4_register_provider, 0x2a82b716, "");
SYMBOL_CRC(fc_fc4_deregister_provider, 0x8525e8b1, "");
SYMBOL_CRC(fc_disc_config, 0xa4fdbc83, "");
SYMBOL_CRC(fc_disc_init, 0x4eb24e80, "");
SYMBOL_CRC(fc_cpu_mask, 0xa1bcd198, "");
SYMBOL_CRC(fc_seq_send, 0x1f914a2c, "");
SYMBOL_CRC(fc_seq_start_next, 0x7f3407a7, "");
SYMBOL_CRC(fc_seq_set_resp, 0xe989c52a, "");
SYMBOL_CRC(fc_exch_done, 0x811811e0, "");
SYMBOL_CRC(fc_seq_els_rsp_send, 0x17a6fea4, "_gpl");
SYMBOL_CRC(fc_seq_assign, 0xceb90dd7, "");
SYMBOL_CRC(fc_seq_release, 0xfa4667d1, "");
SYMBOL_CRC(fc_exch_mgr_reset, 0xc9e32955, "");
SYMBOL_CRC(fc_exch_seq_send, 0x15d5654e, "");
SYMBOL_CRC(fc_exch_update_stats, 0x06c0c632, "");
SYMBOL_CRC(fc_exch_mgr_add, 0x016c0f17, "");
SYMBOL_CRC(fc_exch_mgr_del, 0x22b90986, "");
SYMBOL_CRC(fc_exch_mgr_list_clone, 0xab9dd4aa, "");
SYMBOL_CRC(fc_exch_mgr_alloc, 0xf7927dd1, "");
SYMBOL_CRC(fc_exch_mgr_free, 0x297c426c, "");
SYMBOL_CRC(fc_exch_recv, 0xef75f511, "");
SYMBOL_CRC(fc_exch_init, 0xda56a043, "");
SYMBOL_CRC(fc_elsct_send, 0x02353a1b, "");
SYMBOL_CRC(fc_elsct_init, 0x51d58730, "");
SYMBOL_CRC(fc_frame_crc_check, 0x0f9c8dbc, "");
SYMBOL_CRC(_fc_frame_alloc, 0xce0657f7, "");
SYMBOL_CRC(fc_frame_alloc_fill, 0x57a46bb2, "");
SYMBOL_CRC(fc_get_host_port_state, 0x9a94f1ca, "");
SYMBOL_CRC(fc_get_host_speed, 0xb8bb169d, "");
SYMBOL_CRC(fc_get_host_stats, 0x3949aade, "");
SYMBOL_CRC(fc_fabric_login, 0xae5d8286, "");
SYMBOL_CRC(fc_linkup, 0x20ab0954, "");
SYMBOL_CRC(fc_linkdown, 0x8d4a8616, "");
SYMBOL_CRC(fc_fabric_logoff, 0x96b4dc26, "");
SYMBOL_CRC(fc_lport_destroy, 0x90bfcdc6, "");
SYMBOL_CRC(fc_set_mfs, 0x76a6682e, "");
SYMBOL_CRC(fc_lport_set_local_id, 0xb06e1a63, "");
SYMBOL_CRC(fc_lport_recv, 0x158d95ba, "");
SYMBOL_CRC(fc_lport_reset, 0x3a080a2d, "");
SYMBOL_CRC(fc_lport_logo_resp, 0xd078ec4c, "");
SYMBOL_CRC(fc_lport_flogi_resp, 0x1dff580d, "");
SYMBOL_CRC(fc_lport_config, 0x72d66fdb, "");
SYMBOL_CRC(fc_lport_init, 0x8b21d0a5, "");
SYMBOL_CRC(fc_lport_bsg_request, 0x916109c4, "");
SYMBOL_CRC(fc_rport_lookup, 0x401080bd, "");
SYMBOL_CRC(fc_rport_create, 0x9a153115, "");
SYMBOL_CRC(fc_rport_destroy, 0x9d50ed7e, "");
SYMBOL_CRC(fc_set_rport_loss_tmo, 0x3ed65889, "");
SYMBOL_CRC(fc_rport_login, 0x51fb4385, "");
SYMBOL_CRC(fc_rport_logoff, 0xa3d5f131, "");
SYMBOL_CRC(fc_rport_recv_req, 0xcfe2da82, "");
SYMBOL_CRC(fc_rport_flush_queue, 0xb0ddd5a1, "");
SYMBOL_CRC(fc_rport_terminate_io, 0x59cb5c54, "");
SYMBOL_CRC(fc_queuecommand, 0xacc450a5, "");
SYMBOL_CRC(fc_eh_abort, 0x9d02668b, "");
SYMBOL_CRC(fc_eh_device_reset, 0xa6b775cf, "");
SYMBOL_CRC(fc_eh_host_reset, 0xfb5069b1, "");
SYMBOL_CRC(fc_slave_alloc, 0x276c65e8, "");
SYMBOL_CRC(fc_fcp_destroy, 0xc7092826, "");
SYMBOL_CRC(fc_fcp_init, 0x92caa12e, "");
SYMBOL_CRC(libfc_vport_create, 0xa739199d, "");
SYMBOL_CRC(fc_vport_id_lookup, 0xdba350ed, "");
SYMBOL_CRC(fc_vport_setlink, 0x74c9d3aa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x10cd7b1b, "try_module_get" },
	{ 0x1604bf, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x38ecd411, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc3a1315e, "bsg_job_done" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xb55495d4, "fc_remote_port_add" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x68fb2bcb, "kmem_cache_create" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x6f79375c, "mempool_free" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8dbf16a4, "fc_block_scsi_eh" },
	{ 0x122c3a7e, "_printk" },
	{ 0x86d2335e, "mempool_create" },
	{ 0x1000e51, "schedule" },
	{ 0x1eec1238, "blocking_notifier_call_chain" },
	{ 0x49cae00d, "fc_remote_port_delete" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xeeeb8c90, "__alloc_skb" },
	{ 0xe9fcb616, "mempool_alloc" },
	{ 0xfed1e457, "fc_host_post_event" },
	{ 0xc4044005, "module_put" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x73eb8a9, "init_uts_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x441ac2a5, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xad4aee39, "strncpy" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x8f8c64c1, "scsi_is_host_device" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x50a59570, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xa4e188e7, "strscpy" },
	{ 0x375f8bbd, "fc_get_event_number" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc62ab2bc, "mempool_destroy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x280aa206, "scsi_is_fc_rport" },
	{ 0x1b349455, "scsi_done" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf30ba290, "kmalloc_trace" },
	{ 0xbe3b9817, "param_ops_int" },
	{ 0x22b91f00, "_dev_printk" },
	{ 0x581e627d, "scsi_host_alloc" },
	{ 0xb988880e, "sg_copy_to_buffer" },
	{ 0x1a8d6fc7, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x88520383, "kmalloc_caches" },
	{ 0xdb86d4c0, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc832a101, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc");


MODULE_INFO(srcversion, "B8FB700BF278A34E04C0E0D");
MODULE_INFO(rhelversion, "9.99");
