#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e333ab9, "set_capacity_and_notify" },
	{ 0xa86e4b88, "set_disk_ro" },
	{ 0xa12c673e, "scsi_print_sense_hdr" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x10f026d3, "blk_integrity_register" },
	{ 0x1604bf, "vmemmap" },
	{ 0x28ae77bd, "scsi_mode_sense" },
	{ 0x383dc9c4, "bpf_trace_run4" },
	{ 0x747b9dcf, "blk_queue_logical_block_size" },
	{ 0x1ad74a84, "scsi_device_get" },
	{ 0x395a2b24, "dev_set_name" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x235c253a, "device_add_disk" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6cbff638, "trace_raw_output_prep" },
	{ 0xe48bca27, "__trace_trigger_soft_disabled" },
	{ 0x1f3ff915, "trace_event_printf" },
	{ 0xf7370f56, "system_state" },
	{ 0xdd849d51, "scsi_get_sense_info_fld" },
	{ 0x1839020d, "scsi_get_vpd_page" },
	{ 0x697a85eb, "device_initialize" },
	{ 0x590af33e, "t10_pi_type1_crc" },
	{ 0x67ead9d2, "trace_event_raw_init" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x3c6785b7, "block_pr_type_to_scsi" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x3a2240f7, "blk_queue_write_cache" },
	{ 0xfb92474a, "scsicam_bios_param" },
	{ 0x906b7167, "blk_mq_alloc_disk_for_queue" },
	{ 0x67fbe39b, "get_device" },
	{ 0xad01f2e6, "scsi_command_normalize_sense" },
	{ 0x6f79375c, "mempool_free" },
	{ 0xb3d2c76d, "scsi_hostbyte_string" },
	{ 0x50713665, "blk_integrity_unregister" },
	{ 0xc75ef10, "blk_queue_required_elevator_features" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x1a066b01, "scsi_device_set_state" },
	{ 0x86406637, "trace_event_buffer_commit" },
	{ 0xcadeee19, "scsi_test_unit_ready" },
	{ 0x713e9141, "scsi_block_when_processing_errors" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ee42235, "scsi_register_driver" },
	{ 0x86d2335e, "mempool_create" },
	{ 0x9dc86892, "__blk_req_zone_write_unlock" },
	{ 0x79c14af9, "put_disk" },
	{ 0xb3dd09a1, "scsi_ioctl" },
	{ 0x1e69a57c, "blk_queue_physical_block_size" },
	{ 0x42dae73, "put_device" },
	{ 0xf0be8a02, "blk_queue_max_zone_append_sectors" },
	{ 0x963639ca, "blk_queue_flag_set" },
	{ 0xe9fcb616, "mempool_alloc" },
	{ 0x45e4be94, "disk_set_zoned" },
	{ 0xc6cbbc89, "capable" },
	{ 0x20f05ac7, "blk_queue_flag_clear" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xb5fee896, "scsi_device_put" },
	{ 0x14c25235, "t10_pi_type3_crc" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x1c10fd64, "t10_pi_type3_ip" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x3a3ca5ef, "perf_trace_run_bpf_submit" },
	{ 0x27ee9ef2, "blk_revalidate_disk_zones" },
	{ 0xbec16b13, "device_add" },
	{ 0xb4a62e2f, "string_get_size" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x4bc7f500, "sdev_prefix_printk" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x85abc85f, "strncmp" },
	{ 0x13034b97, "scsi_report_opcode" },
	{ 0x38086a6e, "trace_event_reg" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xe7a54316, "driver_unregister" },
	{ 0xaf3dd7dc, "scsi_logging_level" },
	{ 0x7927ff74, "class_unregister" },
	{ 0xcd35d4bf, "del_gendisk" },
	{ 0x292d39c3, "blk_queue_max_discard_sectors" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0xdf5ff2fa, "blk_queue_zone_write_granularity" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x62480551, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd96de8cb, "__sysfs_match_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xb59fbe87, "param_ops_string" },
	{ 0x8c6527f4, "disk_alloc_independent_access_ranges" },
	{ 0xd330bc59, "scsi_alloc_sgtables" },
	{ 0xe798236d, "jiffies" },
	{ 0x9e33e1a6, "scsi_print_command" },
	{ 0x399504d6, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3392b495, "blk_queue_alignment_offset" },
	{ 0x92a754eb, "blk_queue_chunk_sectors" },
	{ 0x5db52a6b, "blk_queue_max_write_zeroes_sectors" },
	{ 0x4478cde3, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x83694384, "scmd_printk" },
	{ 0xa32760ca, "scsi_execute_cmd" },
	{ 0xdbda6288, "scsi_free_sgtables" },
	{ 0x54516cff, "disk_set_independent_access_ranges" },
	{ 0xa8854f56, "scsi_mode_select" },
	{ 0xc62ab2bc, "mempool_destroy" },
	{ 0x666db162, "disk_check_media_change" },
	{ 0x44c1c4df, "blk_queue_io_min" },
	{ 0x82dc4e5b, "scsi_ioctl_block_when_processing_errors" },
	{ 0xea4f6ad, "blkdev_compat_ptr_ioctl" },
	{ 0xf30ba290, "kmalloc_trace" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x66d0ae04, "t10_pi_type1_ip" },
	{ 0xa027d071, "trace_handle_return" },
	{ 0x5bea929, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdbf3cd32, "blk_queue_rq_timeout" },
	{ 0x74bf2e01, "scsi_pr_type_to_block" },
	{ 0xfbf2bed9, "blk_req_zone_write_trylock" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x88520383, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x36e4cb0d, "scsi_set_medium_removal" },
	{ 0xc832a101, "module_layout" },
};

MODULE_INFO(depends, "t10-pi");


MODULE_INFO(srcversion, "B1AC970F23F10F25C1618DD");
MODULE_INFO(rhelversion, "9.99");
