#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b151502, "iomap_readahead" },
	{ 0x5c8907ac, "generic_fillattr" },
	{ 0x1604bf, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x383dc9c4, "bpf_trace_run4" },
	{ 0x3761d215, "idr_find" },
	{ 0xc3805cd1, "fs_ftype_to_dtype" },
	{ 0x25030559, "generic_fh_to_dentry" },
	{ 0x33fbbb5e, "fs_param_is_string" },
	{ 0xaca0aef0, "complete" },
	{ 0x6cbff638, "trace_raw_output_prep" },
	{ 0x5382cd56, "init_special_inode" },
	{ 0x5809517, "fs_dax_get_by_bdev" },
	{ 0x2756af2b, "unregister_filesystem" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xe48bca27, "__trace_trigger_soft_disabled" },
	{ 0xde701a77, "nop_posix_acl_access" },
	{ 0x4568742c, "nop_posix_acl_default" },
	{ 0xb0cf0327, "d_make_root" },
	{ 0x1f3ff915, "trace_event_printf" },
	{ 0xdb48721, "sb_set_blocksize" },
	{ 0xa95746b, "simple_fill_super" },
	{ 0xa43f71b5, "read_cache_folio" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x90ff96a0, "d_splice_alias" },
	{ 0xd9ff5a76, "bdev_open_by_path" },
	{ 0x4fb5da55, "fs_put_dax" },
	{ 0x67ead9d2, "trace_event_raw_init" },
	{ 0x2e43d56d, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x6488f86d, "page_get_link" },
	{ 0x37a0cba, "kfree" },
	{ 0xd27a4b50, "dax_iomap_rw" },
	{ 0x8572d67a, "iput" },
	{ 0x6aecabbb, "kset_unregister" },
	{ 0x81b52c1a, "fs_param_is_enum" },
	{ 0xd705c62, "generic_file_readonly_mmap" },
	{ 0x7912b167, "logfc" },
	{ 0x6be2ddd, "bpf_trace_run2" },
	{ 0x355a2d8d, "dax_iomap_fault" },
	{ 0x53651a8f, "register_filesystem" },
	{ 0x68fb2bcb, "kmem_cache_create" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x96f4b57c, "simple_get_link" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd1bcae32, "get_tree_nodev" },
	{ 0x86406637, "trace_event_buffer_commit" },
	{ 0xa727c47, "iomap_invalidate_folio" },
	{ 0x58edd3df, "iomap_dio_rw" },
	{ 0x78607376, "kill_block_super" },
	{ 0x22c6dc0a, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x23774522, "posix_acl_from_xattr" },
	{ 0x8ced281a, "make_kuid" },
	{ 0x49828004, "fs_kobj" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xe5a56ecd, "idr_get_next" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xc0fd237c, "xxh32" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb69f5c76, "inode_init_once" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xd2366f05, "inode_nohighmem" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x3a3ca5ef, "perf_trace_run_bpf_submit" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0xb93d733c, "mark_tech_preview" },
	{ 0x1c4653c8, "generic_ro_fops" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0x950bac0e, "set_nlink" },
	{ 0xa81b89c5, "kmem_cache_free" },
	{ 0x38086a6e, "trace_event_reg" },
	{ 0x85ce1807, "kobject_init_and_add" },
	{ 0x851bd5e4, "iov_iter_alignment" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x5f838a58, "d_obtain_alias" },
	{ 0x3a0d4b03, "iomap_bmap" },
	{ 0x9e4c2145, "bpf_trace_run1" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x7da2d86a, "iomap_fiemap" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x58589824, "make_kgid" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x103bafd6, "down_read" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x399504d6, "bpf_trace_run3" },
	{ 0x3305c387, "iomap_read_folio" },
	{ 0x53f6ba10, "trace_print_flags_seq" },
	{ 0x88e52cdb, "idr_for_each" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa4e188e7, "strscpy" },
	{ 0xe50c5bea, "generic_encode_ino32_fh" },
	{ 0xb5e78086, "noop_direct_IO" },
	{ 0x40fd90a9, "generic_read_dir" },
	{ 0xaeb2ad06, "kobject_del" },
	{ 0x4478cde3, "trace_event_buffer_reserve" },
	{ 0x8019d92, "init_user_ns" },
	{ 0xd59976b, "alloc_pages" },
	{ 0xe35fb609, "kmemdup" },
	{ 0xb2790214, "__folio_put" },
	{ 0x24b0fa4a, "kobject_set_name" },
	{ 0x93292ea3, "get_tree_bdev" },
	{ 0xe31becdb, "filemap_read" },
	{ 0xd3812ff6, "seq_puts" },
	{ 0x85657d60, "generic_fh_to_parent" },
	{ 0xdcf3394b, "__fs_parse" },
	{ 0x26c6f75a, "filemap_splice_read" },
	{ 0xd17fbca3, "kill_anon_super" },
	{ 0x676155ff, "dotdot_name" },
	{ 0xf30ba290, "kmalloc_trace" },
	{ 0xef5c66cd, "iget5_locked" },
	{ 0x4b7bb2d, "kset_register" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xd1b31fae, "kmem_cache_alloc_lru" },
	{ 0xb8acaa60, "bdev_release" },
	{ 0x18f5a8b4, "generic_file_llseek" },
	{ 0x56dd24f2, "iomap_release_folio" },
	{ 0xa027d071, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x88520383, "kmalloc_caches" },
	{ 0x68c05c2c, "iget_failed" },
	{ 0xdb86d4c0, "kmem_cache_destroy" },
	{ 0x49897844, "kobject_put" },
	{ 0xc832a101, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C00F4A23780A5C4AAE3C51F");
MODULE_INFO(rhelversion, "9.99");
